package com.liquidnet.service.slime.service;

import com.liquidnet.service.base.PagedResult;
import com.liquidnet.service.slime.dto.vo.SlimeFieldCheckersVo;
import com.liquidnet.service.slime.dto.vo.SlimeFieldsDetailsVo;
import com.liquidnet.service.slime.dto.vo.SlimeFieldsVo;

import java.util.List;

public interface ISlimeFieldsService {
    PagedResult<SlimeFieldsVo> search(String name, int page, int size);

    SlimeFieldsVo fieldInfo(String uid, String fieldId);

    void editIsCheck(String uid, String fieldId, int isCheck);


    List<SlimeFieldCheckersVo> checkers(String cuid, String fieldId);

    String checkerAdd(String cuid, String fieldId, String uid, String mobile, String name);

    void checkerDel(String cuid, String fieldId, String uid);

    SlimeFieldsDetailsVo fieldDetails(String fieldId);
}
